module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/vue3-essential',
    // 'eslint:recommended',
    '@vue/typescript/recommended',
    '@vue/prettier',
    '@vue/prettier/@typescript-eslint'
  ],
  rules: {
    '@typescript-eslint/no-explicit-any': ['off'],
    'prettier/prettier': [
      'off',
      {
        singleQuote: true,
        semi: false
      }
    ],
    'vue/multi-word-component-names': [
      'error',
      {
        ignores: ['index'] //需要忽略的组件名
      }
    ]
  },
  parserOptions: {
    ecmaVersion: 2020
  }
}
